--author Miguel Gea Milvaques <xerakko@debian.org>
--title Vim for Dudes
--fgcolor blue
	       StSS              X%%X  @t%S      S;tt%@          @ttt%S         
	       t  S S           ;%XS t @ :  @    @X %tS:          :%:;  X       
	           :            ;X @t  @@@ :%    @.; tX ;       tX% t   S       
	         XXX .                 X@X@;%    @   S@%@@     X @X  S  S       
	         X%XS         %X:X  @  @@X@t%    @ S @::;t      :   SX  X       
	         %S .:X       .@t S:   @@X@%%    @    X.X %   ; X@   @  S       
	          : @S .        %      X@X@%%    X.@  . @%S@ @ .@  X@X  S       
	           @;SSSX   tS.XXS.    X@X@%%    @.@  @ .%t; %.t ;;X@X  S       
	           S   :S    @;   @    X@X@%%    @     X  %:t    % @@X  S       
	            tS;@ S S. %@ X     @XX@%%    @      .X ; :     @@X  S       
	             @t@t@t%t XS:      X@X@%%    X.       : t. t:  X@X  S       
	             X  S. St@ S       S@X@%%    @.@     tt  @ S   @@X  S       
	              ;@t ; %@ @       @@X@%%    @        t@S @X   @@X  S       
	               @St tXS:          X@%%    S                 @ X  X       
	               t:    X         :.X@%%   S;                @:.X  X       
	                @ ::.@          %:;       :::%              %:::       
--fgcolor white
--newpage
--boldon
--fgcolor yellow
--huge VIM
--fgcolor white
--ulon
--horline
--boldoff
--uloff


 1.- Configuración local (.vim/ .vimrc) y global (/usr/share/vim/vim70/).
     Extensiones.
--newpage
--boldon
--fgcolor blue
--huge Configs
--fgcolor white
--ulon
--horline
--boldoff
--uloff

--heading Configuración local y global. Extensiones
--beginshelloutput
$ ls ~/.vim/
after         doc                         lh-map-tools.xml    syntax
autoload      eclim                       plugin              vimtips.txt
bash-support  ftplugin                    README.bashsupport  vimtips.txt.bak
bin           lh-map-tools-changelog.rss  skeleton
CHANGES.txt   lh-map-tools-changelog.xml  spell
--endshelloutput
---
   - File Type plugins (ftplugins)
---
   - Syntax
---
   - plugin
---
   - spell http://ftp.vim.org/vim/runtime/spell/


--newpage
--boldon
--fgcolor yellow
--huge VIM
--fgcolor white
--ulon
--horline
--boldoff
--uloff


 1.- Configuración local (.vim/ .vimrc) y global (/usr/share/vim/vim70/).
     Extensiones.

---
--exec vim ~/.vimrc
--newpage
--boldon
--fgcolor yellow
--huge VIM
--fgcolor white
--ulon
--horline
--boldoff
--uloff


 1.- Configuración local (.vim/ .vimrc) y global (/usr/share/vim/vim70/).
     Extensiones.

 2.- Personalización

--newpage
--boldon
--fgcolor blue
--huge My Config
--fgcolor white
--ulon
--horline
--boldoff
--uloff


 * Instalación de un plugin.

--newpage
--boldon
--fgcolor blue
--huge My Config
--fgcolor white
--ulon
--horline
--boldoff
--uloff


 * Instalación de un plugin.

 * Instalación de documentación.
 	:helptag ~/.vim/doc 
--newpage
--boldon
--fgcolor yellow
--huge VIM
--fgcolor white
--ulon
--horline
--boldoff
--uloff


 1.- Configuración local (.vim/ .vimrc) y global (/usr/share/vim/vim70/).
     Extensiones.

 2.- Personalización

 3.- Vim para DD

--newpage
--boldon
--fgcolor blue
--huge Vim 4 DDs
--fgcolor white
--ulon
--horline
--boldoff
--uloff


  * deb.vim
---
--beginshelloutput
$ vi tpp_1.3.1-1_amd64.deb
--endshelloutput
---

--exec vi tpp_1.3.1-1_amd64.deb
--newpage
--boldon
--fgcolor blue
--huge Vim 4 DDs
--fgcolor white
--ulon
--horline
--boldoff
--uloff


  * deb.vim

  * udiff.vim
  	http://vim.wikia.com/wiki/Create_patch_for_currently_editing_file
---
--exec vi dump.c
--newpage
--boldon
--fgcolor blue
--huge Vim 4 DDs
--fgcolor white
--ulon
--horline
--boldoff
--uloff


  * deb.vim

  * udiff.vim
  	http://vim.wikia.com/wiki/Create_patch_for_currently_editing_file

  * quilt.vim

--newpage
--boldon
--fgcolor yellow
--huge Quilt.vim
--fgcolor white
--ulon
--horline
--boldoff
--uloff


	:QuiltSetup! debian/patches           " prepara el sistema de patches

	:QuiltNew test.diff                  " Crea nuevo patch
	
	:o . 				     " Selecciona el fichero
	
	:QuiltAdd src/hello.c test.diff      " añade el fichero src/hello.c al patch test.diff
	
	:w 				     " haz los cambios y guarda
	
	:QuiltRefresh                        " Aplica los cambios.
--newpage
--boldon
--fgcolor blue
--huge Vim 4 DDs
--fgcolor white
--ulon
--horline
--boldoff
--uloff


  * deb.vim

  * udiff.vim
  	http://vim.wikia.com/wiki/Create_patch_for_currently_editing_file

  * quilt.vim

  * Revisión ortográfica y traducción (po.vim + apertium)
---
--exec vi hello-2.2/po/hello.pot hello-2.2/po/ca.po
--newpage
--boldon
--fgcolor blue
--huge Vim 4 DDs
--fgcolor white
--ulon
--horline
--boldoff
--uloff


  * deb.vim

  * udiff.vim
  	http://vim.wikia.com/wiki/Create_patch_for_currently_editing_file

  * quilt.vim

  * Revisión ortográfica y traducción (po.vim + apertium)

  * Gestion de proyectos (\C)
---
--exec vi
--newpage
--boldon
--fgcolor blue
--huge Vim 4 DDs
--fgcolor white
--ulon
--horline
--boldoff
--uloff


  * deb.vim

  * udiff.vim
  	http://vim.wikia.com/wiki/Create_patch_for_currently_editing_file

  * quilt.vim

  * Revisión ortográfica y traducción (po.vim + apertium)

  * Gestion de proyectos

  * Comentarios
---
--exec vim divx2cvcd dump.c
--newpage
--boldon
--fgcolor blue
--huge Vim 4 DDs
--fgcolor white
--ulon
--horline
--boldoff
--uloff


  * deb.vim

  * udiff.vim
  	http://vim.wikia.com/wiki/Create_patch_for_currently_editing_file

  * quilt.vim

  * Revisión ortográfica y traducción (po.vim + apertium)

  * Gestion de proyectos

  * Comentarios
 
  * Guardar como root.
---
--exec vi /etc/apt/sources.list

--newpage
--boldon
--fgcolor yellow
--huge VIM
--fgcolor white
--ulon
--horline
--boldoff
--uloff


 1.- Configuración local (.vim/ .vimrc) y global (/usr/share/vim/vim70/).
     Extensiones.

 2.- Personal Config

 3.- Vim para DDs

 4.- Vim Extremo

--newpage
--boldon
--fgcolor blue
--huge Eclim
--fgcolor white
--ulon
--horline
--boldoff
--uloff


 * Eclim

   - Instrucciones. 
   	http://web.archive.org/web/20061129121324/http://eclim.sourceforge.net/guides/install.html
---
   - Descarga.
      http://downloads.sourceforge.net/eclim/org.eclim_1.2.3.tar.gz?modtime=1160335218&big_mirror=0
      http://downloads.sourceforge.net/eclim/eclim_vim_1.2.3.jar?modtime=1160420539&big_mirror=0
---
   - Arranque
---
--beginshelloutput
# export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.06/
# export ECLIPSE_HOME=/usr/lib/eclipse/ 
# ./eclimd start
$ vi Comment.java
--endshelloutput
---
--exec vi /home/xerakko/workspace/BookShop/Comment.java

--newpage
--boldon
--fgcolor blue
--huge Enlaces
--fgcolor white
--ulon
--horline
--boldoff
--uloff

 
 * http://vim.wikia.com
 * http://www.vim.org
 * Diccionarios para vim: http://ftp.vim.org/vim/runtime/spell/
 * http://web.archive.org/web/20061129121324/http://eclim.sourceforge.net/guides/install.html
 * http://downloads.sourceforge.net/eclim/org.eclim_1.2.3.tar.gz?modtime=1160335218&big_mirror=0
 * http://downloads.sourceforge.net/eclim/eclim_vim_1.2.3.jar?modtime=1160420539&big_mirror=0
 * http://vim.wikia.com/wiki/Create_patch_for_currently_editing_file
 * http://www.viemu.com/a_vi_vim_graphical_cheat_sheet_tutorial.html

--newpage

 El software utilizado para hacer esta presentación:
--beginslideleft 

  * Presentación: tpp y caca-utils

--endslideleft

--beginslideright
  * Control: amora
--endslideright

--beginslidetop
  * eclim y eclipse
--endslidetop

Y como director de la orquesta:


--beginslidebottom
--boldon
--fgcolor yellow
--huge VIM
--fgcolor white
				y sus Plugins
--endslidetop

